Bug 983302 - [abrt] yum-3.4.3-99.fc19: <string>:91:next:ParseError: not well-formed (invalid token): line 21711, column 79 [NEEDINFO]
[abrt] yum-3.4.3-99.fc19: <string>:91:next:ParseError: not well-formed (inval...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
abrt_hash:69984b498e9a45aaca2b0848286...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-10 18:37 EDT by mdmpsyd@gmail.com
Modified: 2014-05-28 07:54 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-28 07:54:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zpavlas: needinfo? (mdmpsyd)


Attachments (Terms of Use)
File: backtrace (1.03 KB, text/plain)
2013-07-10 18:37 EDT, mdmpsyd@gmail.com
no flags Details
File: core_backtrace (567 bytes, text/plain)
2013-07-10 18:37 EDT, mdmpsyd@gmail.com
no flags Details
File: environ (2.76 KB, text/plain)
2013-07-10 18:38 EDT, mdmpsyd@gmail.com
no flags Details

  None (edit)
Description mdmpsyd@gmail.com 2013-07-10 18:37:51 EDT
Version-Release number of selected component:
yum-3.4.3-99.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/bin/yum update
executable:     /usr/bin/yum
kernel:         3.9.8-300.fc19.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
<string>:91:next:ParseError: not well-formed (invalid token): line 21711, column 79

Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 316, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 219, in main
    return_code = base.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 630, in doTransaction
    problems = self.downloadPkgs(downloadpkgs, callback_total=self.download_callback_total_cb)
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 2372, in downloadPkgs
    presto = DeltaInfo(self, pkgs, adderror)
  File "/usr/lib/python2.7/site-packages/yum/drpm.py", line 188, in __init__
    for ev, el in iterparse(path):
  File "<string>", line 91, in next
ParseError: not well-formed (invalid token): line 21711, column 79

Local variables in innermost frame:
self: <iterparse object at 0x5e62110>
e: ParseError('not well-formed (invalid token): line 21711, column 79',)
Comment 1 mdmpsyd@gmail.com 2013-07-10 18:37:56 EDT
Created attachment 771885 [details]
File: backtrace
Comment 2 mdmpsyd@gmail.com 2013-07-10 18:37:59 EDT
Created attachment 771886 [details]
File: core_backtrace
Comment 3 mdmpsyd@gmail.com 2013-07-10 18:38:03 EDT
Created attachment 771887 [details]
File: environ
Comment 4 Zdeněk Pavlas 2013-07-11 04:35:56 EDT
Broken xml, but I can't tell where did it come from, as the "path" variable is not shown fro some reason..  Could you run this, please?

$ for f in $(find /var/cache/yum/ -name '*prestodelta*'); do echo $f; xmllint --noout $f; done
Comment 5 Valentina Mukhamedzhanova 2014-05-28 07:54:21 EDT
Closing as there is no reply.

Note You need to log in before you can comment on or make changes to this bug.